let cadregrand = false;

function changerCadre16() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 16;
	bouton.value = "grand cadre";
  } else {
    textarea.rows = 40;
	bouton.value = "petit cadre";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}

function changerCadre8() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 8;
	bouton.value = "grand cadre";
  } else {
    textarea.rows = 40;
	bouton.value = "petit cadre";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}

function changerCadre6() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 6;
	bouton.value = "grand cadre";
  } else {
    textarea.rows = 40;
	bouton.value = "petit cadre";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}

function changerCadre4() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 4;
	bouton.value = "grand cadre";
  } else {
    textarea.rows = 40;
	bouton.value = "petit cadre";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}

function changerCadre3() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 3;
	bouton.value = "grand cadre";
  } else {
    textarea.rows = 30;
	bouton.value = "petit cadre";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}


function changeFrame16() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 16;
	bouton.value = "Genislet";
  } else {
    textarea.rows = 40;
	bouton.value = "";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}

function changeFrame8() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 8;
	bouton.value = "Genislet";
  } else {
    textarea.rows = 40;
	bouton.value = "";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}

function changeFrame6() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 6;
	bouton.value = "Genislet";
  } else {
    textarea.rows = 40;
	bouton.value = "";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}

function changeFrame4() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 4;
	bouton.value = "Genislet";
  } else {
    textarea.rows = 40;
	bouton.value = "Daralt";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}

function changeFrame3() {
  const textarea = document.getElementById("bar");
  const bouton = document.getElementById('boutonCadre');

  if (cadregrand) {
    textarea.rows = 3;
	bouton.value = "Genislet";
  } else {
    textarea.rows = 30;
	bouton.value = "Daralt";
  }

  cadregrand = !cadregrand;
  textarea.focus();
}